Orxonox: orxonox::Tickable Class Reference

# orxonox::Tickable Class Reference

The Tickable interface provides a tick(dt) function, that gets called every frame. More...

`#include <src/orxonox/interfaces/Tickable.h>`

Inheritance diagram for orxonox::Tickable:

List of all members.

## Public Member Functions

virtual void | tick (float dt)=0
| Gets called every frame.

## Protected Member Functions

| Tickable ()
| Constructor: Registers the object in the Tickable-list.

## Detailed Description

The Tickable interface provides a tick(dt) function, that gets called every frame.

## Constructor & Destructor Documentation

orxonox::Tickable::Tickable | ( |  | ) | `[protected]`

Constructor: Registers the object in the Tickable-list.

References RegisterRootObject.

## Member Function Documentation

virtual void orxonox::Tickable::tick | ( | float | dt | ) | `[pure virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implemented in orxonox::AIController, orxonox::PongAI, orxonox::WaypointController, orxonox::WaypointPatrolController, orxonox::Asteroids, orxonox::Gametype, orxonox::UnderAttack, orxonox::Engine, orxonox::MultiStateEngine, orxonox::DroppedItem, orxonox::PickupSpawner, orxonox::Radar, orxonox::Scene, orxonox::Test, orxonox::Projectile, orxonox::Backlight, orxonox::BigExplosion, orxonox::BlinkingBillboard, orxonox::Camera, orxonox::ControllableEntity, orxonox::ExplosionChunk, orxonox::FadingBillboard, orxonox::ForceField, orxonox::MobileEntity, orxonox::Pawn, orxonox::SpaceShip, orxonox::Spectator, orxonox::Planet, orxonox::PongBall, orxonox::PongBat, orxonox::Trigger, orxonox::DebugFPSText, orxonox::DebugRTRText, orxonox::FadeoutText, orxonox::GametypeStatus, orxonox::HUDHealthBar, orxonox::HUDNavigation, orxonox::HUDSpeedBar, orxonox::HUDTimer, orxonox::PongScore, orxonox::TeamBaseMatchScore, orxonox::Map, orxonox::NotificationQueue, orxonox::Scoreboard, orxonox::Stats, orxonox::PawnManager, orxonox::SoundManager, and orxonox::Shader.

The documentation for this class was generated from the following files:

- src/orxonox/interfaces/Tickable.h
- src/orxonox/interfaces/InterfaceCompilation.cc